<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net9.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <UserSecretsId>d6cabec2-f14e-40aa-b2ef-90a832d8e1e4</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Scripts\01_Schema.sql" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Scripts\02_SeedLookupData.sql" />
    <EmbeddedResource Include="Scripts\01_Schema.sql" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="dbup-core" Version="6.0.4" />
    <PackageReference Include="dbup-postgresql" Version="6.0.3" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="9.0.4" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="9.0.4" />
    <PackageReference Include="Microsoft.Extensions.Configuration.UserSecrets" Version="9.0.4" />
  </ItemGroup>

  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
